var dataObj={
	fundList:[''],/*基金列表*/
	spcShowArry:[false,false,false],/*该数组里面每一个值对应每一个刻度尺输入金额超出3W时，特殊刻度div是否显示，true表示显示*/
	tipsShowArry:[false,false,false],/*该数组里面每一个值对应每一个刻度尺输入金额的错误显示，true表示显示*/
	tipsShowStr:['仅支持数字, 最多6位','',''],/*该数组里面每一个值对应每一个刻度尺输入金额的错误显示的内容*/
	enterAmt:[0,0,0],/*该数组里面每一个值对应每一个刻度尺的输入金额*/
	setSlider1:null,
	setSlider2:null,
	setSlider3:null,
	timer_render:null,
	compareVer:'4.1.0',
	asd:false,
	splitStr:'\n'//全屏弹框说明文字间的分隔符

};
var appvue = new Vue({
	el:'#app',
	data:dataObj,
	created : function(){
		var self = this;
	},
	methods:{
		/*计算说明浮层*/
		showdtdes:function(ev){
			Com.showScreenMask('计算说明','n为投资期数，NAVn为第n周期末市值，r为收益率。Ci为第i期投入金额'+dataObj.splitStr+dataObj.splitStr+'NAVn = C1*(1+r) ^n +C2*(1+r)^(n-1)+... +Cn(1+r) ^1'+dataObj.splitStr+'复合年均收益率IRR = r * 52'+dataObj.splitStr+'期末收益率R (简单收益率）= NAVn/ C_sum -1'+dataObj.splitStr+'因为智能定投采用的是A股股票指数偏离策略，适合以A股为主要投资范围的偏股型基金，所以智能定投收益率展示仅限于股票型 、混合型、指数型。'+dataObj.splitStr+dataObj.splitStr+'普通定投与智能定投计算公式相同。其中普通定投C1=C2=Cn'+dataObj.splitStr+dataObj.splitStr+'模拟历史业绩不代表基金投资收益，且模拟数据未考虑手续费、通货膨胀等因素。投资者应认真阅读拟投资基金的法律文件，了解基金的风险收益特征，并充分了解基金定投和银行零存整取等储蓄方式的区别。基金定投是引导投资者进行长期投资、平均投资成本的一种简单易行的投资方式，但是基金定投并不能规避基金投资固有风险，不能保证投资者获得收益。国信证券为基金销售机构，对基金管理人的投资运作不承担任何责任。敬请注意投资风险。');
			ev.cancelBubble=true;
		}
	},
	filters:{

	}
});
var F = {};
F.itc = {};
F.itc.echartsOption = {
	title: {
		show:false,
		padding:0,
		text: '历史收益率'
	},
	legend: {
		data:['历史收益率']
	},
	animation:false,
	toolbox: {
		feature: {
			saveAsImage: {}
		}
	},
	grid: {
		left: '10px',
		right: '5px',
		bottom: '10px',
		top:'8px',
		containLabel: true
	},
	xAxis : [
		{
			type : 'category',
			boundaryGap : false,
			data : [{
				value:'2017-07-24',
				textStyle:{
					color:'#8e8e93',
					fontSize:11,
					align:'left'
				}
			},'','','','','','2017-07-25'],
			axisLabel:{
				textStyle:{
					color:'#8e8e93',
					fontSize:11,
					align:'right'
				},
				interval:0,
				margin:15,
				formatter: function (value, index) {
					return value;
				}
			},
			axisLine: {            // 坐标轴线
				lineStyle: {       // 属性lineStyle控制线条样式
					color: '#f6f6f7'
				},
				show:true
			},
			axisTick: {            // 坐标刻度
				show:false
			},
			splitLine: {           // 分隔线
				interval:30,
				show:true,
				lineStyle: {       // 属性lineStyle（详见lineStyle）控制线条样式
					color: ['#f6f6f7']
				}
			}
		}
	],
	yAxis : [
		{
			type : 'value',
			splitLine: {           // 分隔线
				lineStyle: {       // 属性lineStyle（详见lineStyle）控制线条样式
					color: ['#f6f6f7'],
					type:'dashed'  //'solid'  'dashed'  'dotted'
				}
			},
			axisLine: {            // 坐标轴线
				show:false,
				lineStyle: {       // 属性lineStyle控制线条样式
					color: '#f6f6f7'
				}
			},
			axisLabel:{
				// inside:true,
				textStyle:{
					color:'#8e8e93',
					baseline:'middle',
					fontSize:11
				},
				formatter: function (value, index) {
					return value+'%';
				}
			},
			axisTick:{
				show:false
			},
			splitNumber:4
		}
	],
	series : [
		{
			name:'基智魔方收益率',
			type:'line',
			// stack: '总量',
			data:[],
			areaStyle: {
				normal: {
					color:'transparent'
				},
				smooth:true
			},
			lineStyle:{
				normal:{
					width:1,
					color:'#FD5656'
				}
			},
			animation:false,
			itemStyle:{
				normal : {
					color:'#FD5656',
					lineStyle:{
						color:'#FD5656'
					}
				}
			},
			showSymbol :false
		},
		{
			name:'全账户收益率',
			type:'line',
			// stack: '总量',
			data:[],
			animation:false,
			areaStyle: {
				normal: {
					color:'transparent'
				},
				smooth:true
			},
			lineStyle:{
				normal:{
					width:1,
					color:'#589DFC'
				}
			},
			itemStyle:{
				normal : {
					color:'#589DFC',
					lineStyle:{
						color:'#589DFC'
					}
				}
			},
			showSymbol :false
		}
	]
};
var exports = {
	init:function(){


		exports.splitStr();

		exports.drawChart();

		//设置标题
		Com.setWebviewTitle('',{"title":'什么是智能定投',"bgColor":""});

	},
	splitStr : function(){
		var clientType =Com.clientType();
		var splitStr='<br/>';
		if(clientType=='ios'){
			splitStr='\n';
		}
		dataObj.splitStr = splitStr;
	},
	drawChart : function(cb){
		/*测试用*/
		//没登录的情况下只展示组合收益
		var diffRate = function(){
			var param = {};
			param['ofcode']='510500';
			param['schedtype']='1';
			param['timeflag']='5';
			param['calcflag']='1';/*入参之后返回calcinfo结果集数据*/
			Com.ajax({
				"url":Com.getOrigin()+'/gsfinancing/ofschedule/getSchedRatePlot/1.0',
				"data":param,
				"type":"post",
				"dataType":"json",
				"success":function(d){
					/*测试用*/
					/*d.data=[
						{"trddate":"20190101","smartrate":"3.25","plainrate":"7.25"},
						{"trddate":"20190102","smartrate":"4.25","plainrate":"3.21"},
						{"trddate":"20190103","smartrate":"5.10","plainrate":"1.44"},
						{"trddate":"20190104","smartrate":"1.17","plainrate":"5.12"},
						{"trddate":"20190105","smartrate":"13.45","plainrate":"-22.15"}
					]*/
					/*测试用 结束*/
					if (d != null && d.result[0].code == 0) {
						//清空echarts的值
						F.itc.echartsOption.xAxis[0].data = [];
						F.itc.echartsOption.series[0].data = [];//智能定投收益
						F.itc.echartsOption.series[1].data = [];//普通定投收益
						for (var i=0,len=d.data.length;i<len;i++) {
							d.data[i].trddate=''+d.data[i].trddate;
							d.data[i].trddate = d.data[i].trddate.substring(0,4)+'-'+d.data[i].trddate.substring(4,6)+'-'+d.data[i].trddate.substring(6,8);

							F.itc.echartsOption.series[0].data[i] = d.data[i].smartrate*1;//智能定投收益
							F.itc.echartsOption.series[1].data[i] = d.data[i].plainrate*1;//普通定投收益
							//x轴日期的第一个值需要居左，需要特殊处理
							if (i==0) {
								F.itc.echartsOption.xAxis[0].data[i] = {
									//value:template.helpers.dateFormat(d.data[i].trddate,'yyyy-MM-dd'),
									value:d.data[i].trddate,
									textStyle:{
										color:'#8e8e93',
										fontSize:11,
										align:'left'
									}
								};
								//x轴日期的最后一个值需要居右
							}else if(i==len-1) {
								//F.itc.echartsOption.xAxis[0].data[i] = template.helpers.dateFormat(d.data[i].trddate,'yyyy-MM-dd');
								F.itc.echartsOption.xAxis[0].data[i] = d.data[i].trddate;

								//x轴日期只显示首末两个值，其他都置空
							}else{
								F.itc.echartsOption.xAxis[0].data[i] =  '';
							}

						}
						//坐标轴在 grid 区域中的分隔线
						F.itc.echartsOption.xAxis[0].splitLine.interval = Math.floor(d.data.length-1);

						var jdtzChart = echarts.init(document.getElementById('chart_main'));
						jdtzChart.clear();
						jdtzChart.setOption(F.itc.echartsOption,true);

						if(typeof d.calcinfo!='undefined' && d.calcinfo.length>0){
							$('#fvfhpt').html((d.calcinfo[0].plainyield*1).toFixed(2));
							$('#fvfhzn').html((d.calcinfo[0].smartyield*1).toFixed(2));
							$('#fvqmzn').html((d.calcinfo[0].smartrate*1).toFixed(2));
							$('#fvqmpt').html((d.calcinfo[0].plainrate*1).toFixed(2));
						}


					}else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
						return false;
					}else{
						Com.nativeToast(d.result[0].code+':'+d.result[0].msg);
					}
				},
				"isTradeLogin":false,
				"error":function(){
					Com.ajaxLoaded();
					Com.showNativeAlert('','网络不给力|getSchedRatePlot',['确定'],'')
				}
			});
		};

		diffRate();
		/**/
	}
};








exports.init();
























/*

function getYxlcDataList(){
	var param = {};

	var ajaxData = function(datajson,checklogin){
		Com.ajaxLoading();
		Com.ajax({
			"url":Com.getOrigin()+"/gsfinancing/fundaip/getyxlc/1.0",
			"data":datajson,
			"type":"post",
			"dataType":"json",
			"success":function(d){
				Com.ajaxLoaded();

				if(d.result[0].code == 0){
					var is_showArrow = 0;
					if(d.data.length != 0){
						for(var i = 0;i< d.data.length; i++){
							if(d.data[i].oftypebig == '2'){
								//如果有“长期投资”的定投产品，则显示下拉箭头,并将“开启定投之旅”按钮显示出来
								is_showArrow = 1;
								$('#kqdtzl').css('display','block');
							}
						}
					}
					d.showarrow = is_showArrow;
					/!*var ohtml = template('yxlcDemo', d);
					$('#yxlc_data_main').html(ohtml);*!/
				}
				else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
					return false;
				}
				else{
					Com.showNativeAlert("",d.result[0].msg,["确定"],"");
				}
			},
			"isTradeLogin":checklogin,
			"error":function(){
				Com.ajaxLoaded();
				Com.showNativeAlert('','网络不给力',['确定'],'');
			}
		});
	};

	$js.isLoginForGetData = function(data){
		var isLogin = false;
		if(data.isTradeLogined == '1'){
			//已登录
			isLogin = true;
		}else{
			//未登录
			isLogin = false;
		}

		ajaxData(param,isLogin);
	};

	Com.isTradelogin('isLoginForGetData',{});
}

//点击开启定投之旅按钮之后判断有没有签署过电子签名约定书
function openDtDiScene(){
	var param = {};
	var ajaxData = function(datajson){
		Com.ajaxLoading();
		Com.ajax({
			"url":Com.getOrigin()+"/gsfinancing/fundbuy/hassign/1.0",
			"data":datajson,
			"type":"post",
			"dataType":"json",
			"success":function(d){
				Com.ajaxLoaded();
				if(d.result[0].code == 0){
					if(d.data[0].issign == '1'){
						//已签署过电子签名约定书
						//?yxfrom=kqdtzl 没有选择好具体产品的统一携带此参数，在月薪理财定投页面可以选择其他产品
						/!*Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mfdt/pages/dt_fi_scene.html?yxfrom=kqdtzl',"weburl":'../../mfdt/pages/dt_fi_scene.html?yxfrom=kqdtzl'});*!/
						Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mfdt/pages/yxlc_choosefund.html',"weburl":'../../mfdt/pages/yxlc_choosefund.html'});
					}else{
						//未签署
						Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mfdt/pages/go_zt.html',"weburl":'../../mfdt/pages/go_zt.html'});
						return false;
					}
				}
				else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
					return false;
				}
				else{
					Com.showNativeAlert("",d.result[0].msg,["确定"],"");
				}
			},
			"isTradeLogin":true,
			"error":function(){
				Com.ajaxLoaded();
				Com.showNativeAlert('','网络不给力',['确定'],'');
			}
		});
	};

	ajaxData(param);
}
// 获取月薪理财专题模板
function getTopicOfSceneaip(){
	var param={};
	Com.ajax({
		url: Com.getInterfaceOrigin()+'/gsfinancing/topic/getTopicOfSceneaip/1.0',
		data: param,
		dataType:'json',
		type:'post',
		isTradeLogin:false,
		success: function (d) {
			if(d.result[0].code == 0){
				//指数数据
				var html1 = template('indexTemplate', d);
				$('.cqtz_fixed_data table tbody').html(html1);
				$('.y_d_dg').eq(0).text(d.data[0].remark);
				//理财目标
				var html2 = template('caseinfoTemplate', d);
				$('.yxlc_lcmb table').html(html2);
				$('.y_d_dg').eq(1).text(d.caseinfo[0].remark)
			}
			else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
				return false;
			}
			else{
				Com.showNativeAlert("",d.result[0].msg,["确定"],"");
			}
		},
		error:function(){
			Com.ajaxLoaded();
			Com.showNativeAlert('','网络不给力',['确定'],'');
		}
	});
}

function yxlcAdverInit(){
	$(document).on('click','#data_up_down',function(){
		var objdata = $('.cqtz_datalist');
		if($(this).hasClass('on')){
			objdata.css('display','none');
			$(this).removeClass('on').find('.y_d_span').html('查看可定投产品');
		}else{
			objdata.css('display','block');
			$(this).addClass('on').find('.y_d_span').html('收起');

		}
	});

	//开启定投之旅
	$(document).on('click','#kqdtzl',function(){

		Com.actionLogin(openDtDiScene);
		//openDtDiScene();
	});

	//打开基金详情
	$(document).on('click','.godetails',function(){
		var ohref = $(this).attr('_href');
		var ofcode = $(this).attr('ofcode');

		Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/'+ohref,"weburl":'../../'+ohref});
	});

	//获取可定投的产品列表
	getYxlcDataList();
	getTopicOfSceneaip();

	//设置标题
	Com.setWebviewTitle('',{"title":'定投专区',"bgColor":""});

	//导航新增定投（578版本去掉了）
	//Com.rightTopBtn('0','我的定投',gomyDT);
	/!*右上角分享*!/
	Com.rightTopBtn('1','',function(){
		var param  = {netAddr:'',financetype:'',token:'',ofcode:'',sharetype:'2','pagefrom':'2'};
		if(typeof shareJsonObj!='undefined'){
			shareJsonObj.initMethod(param);
		}
	});
	//跳转到我的定投页面
	$(document).on('click','#gomyplan',function(){
		gomyDT();
	});
	//客服入口
	new Drag('fixedrobot');
	//接入客服模块
	robotAction('','','','','','9905','ztl020','8','fixedrobot');
}

function gomyDT(){
	Com.actionLogin(function(){
		Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mfdt/pages/plan_ongoing.html'});
	});
}*/
