var dataObj={
	fundList:[''],/*基金列表*/
	isShowCcdesc:false,//是否需要显示持仓/定投/自选字符
	inputCode:''

};
var appvue = new Vue({
	el:'#app',
	data:dataObj,
	created : function(){
		var self = this;
	},
	methods:{
		/*点击选择基金*/
		choosefund:function(obj){
			if(obj.timeropen!='1'){
				Com.showNativeAlert('','该基金不支持定投，请重新选择。',['确定'],function(){
					dataObj.inputCode='';
				});
			}else{
				Com.setLocalValue('zh_cacu_ofcode',obj.ofcode);
				Com.setLocalValue('zh_cacu_tacode',obj.tacode);
				Com.setLocalValue('zh_cacu_ofname',obj.ofname?obj.ofname:obj.secuabbr);
				Com.nativeGoback();
			}
		},
		//输入6位产品代码查基金
		searchFund:function(){
			exports.searchHandle();
		}
		/*entergo:function(ev){
			if(ev.keyCode=='13'||ev.keyCode=='9'){
				exports.searchHandle();
			}
			//ev.preventDefault();
		}*/
	},
	filters:{

	}
});
var exports = {
	init:function(){
		Com.isTradelogin2(function(){
			//如果交易登录了，查持仓、自选、定投(普通/智能)基金
			exports.getTradeFundList();
		},null,{},'2');

	},
	/*交易登录用户查持仓、自选、普通定投和智能定投过的基金*/
	getTradeFundList : function(){
		var param={};
		Com.ajax({
			"url":Com.getOrigin()+'/gsfinancing/ofschedule/getRecOfcodeList/1.0',
			"data":param,
			"type":"post",
			"dataType":"json",
			"success":function(d){
				if (d != null && d.result[0].code == 0) {
					/*dataObj.fundList = d.data;
					d.data.length>0 ? (dataObj.isShowCcdesc = true) : (dataObj.isShowCcdesc=false);*/
					if(!(dataObj.fundList.length>0 && dataObj.fundList[0]!='')){
						/*防止手动输入基金代码查基金成功时该请求才收到服务器响应将手动输入查询的基金冲掉*/
						dataObj.fundList = d.data;
						d.data.length>0 ? (dataObj.isShowCcdesc = true) : (dataObj.isShowCcdesc=false);
					}

				}else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
					return false;
				}else{
					Com.nativeToast(d.result[0].code+':'+d.result[0].msg);
				}
			},
			"supportBioLogin":"2",
			"isTradeLogin":true,
			"error":function(){
				Com.ajaxLoaded();
				Com.showNativeAlert('','网络不给力|getRecOfcodeList',['确定'],'')
			}
		});
	},
	/*输入6位基金代码查基金*/
	queryFundInfo : function(ofcode){
		if(!ofcode) return;
		var param={};
		param['ofcodes'] = ofcode;
		Com.ajaxLoading();
		Com.ajax({
			"url":Com.getOrigin()+'/gsfinancing/fundinfo/getfundinfolist/1.0',
			"data":param,
			"type":"post",
			"dataType":"json",
			"success":function(d){
				Com.ajaxLoaded();
				if (d != null && d.result[0].code == 0) {
					dataObj.fundList = d.data;


				}else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
					return false;
				}else{
					Com.nativeToast(d.result[0].code+':'+d.result[0].msg);
				}
			},
			"isTradeLogin":false,
			"error":function(){
				Com.ajaxLoaded();
				Com.showNativeAlert('','网络不给力|getfundinfolist',['确定'],'')
			}
		});
	},
	searchHandle:function(){
		var reg_sixNum = /^[0-9]{6}$/;//6位数字字母
		if(reg_sixNum.test(dataObj.inputCode)){
			exports.queryFundInfo(dataObj.inputCode);
		}else{
			Com.nativeToast('请输入6位产品代码','0');
		}
	}
};
exports.init();
