//金额格式化，中间加逗号
template.helper('fmtmoney', function (str) {
	var tmp = parseFloat(str).toFixed(2);
	return Com.formatNumber(tmp);
});
var pie_options = {
	color:['#017CD0', '#11C1EF','#EFC028','#F2572D','#AC2DF2'],
	animation:false,
	series: [
		{
			name:'访问来源',
			type:'pie',
			radius: ['50%', '80%'],
			avoidLabelOverlap: false,
			label: {
				normal: {
					show: false,
					position: 'center'
				},
				emphasis: {
					show: true,
					textStyle: {
						fontSize: '12',
						fontWeight: 'bold'
					}
				}
			},
			labelLine: {
				normal: {
					show: false
				}
			},
			data:[
				{value:335, name:'直接访问'},
				{value:310, name:'邮件营销'},
				{value:234, name:'联盟广告'},
				{value:135, name:'视频广告'},
				{value:1548, name:'搜索引擎'}
			]
		}
	]
};

function holdlistInit(){
	getTypeProList();

	/*点击展开全部或者收起*/
	$(document).on('click','.showmorehandle',function(){
		var that = $(this);
		var trade_list_box =that.siblings('.trade_list_box');
		if(trade_list_box.hasClass('showcontrl')){
			trade_list_box.removeClass('showcontrl');
			that.html('收起');
		}else{
			trade_list_box.addClass('showcontrl');
			that.html('展开全部');
		}
	});

	/*点击跳转到持仓*/
	$(document).on('click','.each_tade_list',function(){
		openHoldPage($(this));
	});

	/*点击跳转到我的理财*/
	$(document).on('click','.gowdlc',function(){
		Com.actionLogin(function(){
			Com.newWebViewOpenPage('',{'pageUrl':Com.getOrigin()+'/asset/mftransaction/pages/mf_trans_index.html','weburl':Com.getOrigin()+'/asset/mftransaction/pages/mf_trans_index.html'});
		},'','','2');
		try
		{

			TalkingData.onEventWithLabel("资产总览", "基金理财-查看详情");
		}
		catch(err) {}
	});

	//返回刷新
	Com.gobackRefreshPage(true,getTypeProList);

	Com.setWebviewTitle('',{"title":"基金理财","bgColor":""});
}

/*获取各种分类持仓金额*/
function getTypeProList(){
	Com.ajax({
		url:Com.getOrigin()+'/gsfinancing/asset/getAssetOverview/1.0',
		"data":{},
		"type":"post",
		"dataType":"json",
		"success":function(d){
			if(d.result[0].code == '0'){
				var ohtml1= template('wrapperDemo',d);
				$('#wrapper').html(ohtml1);

				/*现金增利提示，必须放到这里，需要阻止冒泡*/
				$('.xjzl_tips').click(function(ev){
					Com.showScreenMask('现金增利提示','交易时间段内，现金增利资产全部自动转出理财资产，变成账户可用资金；收市后自动扫单计息，炒股理财两不误。');
					ev.stopPropagation();
					return false;
				});
				if(d.collectinfo.length>0 &&(d.collectinfo[0].currentasset*1+d.collectinfo[0].periodicasset*1+d.collectinfo[0].openfundasset*1+d.collectinfo[0].highendasset*1>0)){
					pieInit(d.collectinfo[0]);
				}



			}else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
				return false;
			}else{
				Com.showNativeAlert("",d.result[0].msg,["确定"],'');
			}
		},
		"supportBioLogin":'2',
		"isTradeLogin":true,
		"error":function(){
			Com.showNativeAlert("","网络不给力",["确定"],'');
		}
	});
}



//配置详情环形图
function pieInit(obj){
	var dataArry=[
		{value:obj.currentasset, name:''},/*现金理财总资产*/
		{value:obj.periodicasset, name:''},/*定期理财总资产*/
		{value:obj.openfundasset, name:''},/*智选基金总资产*/
		{value:obj.highendasset, name:''}/*高端理财总资产*/
	];
	pie_options.color = ['#F5A623','#FF7227','#FF3A3B','#2F569E'];

	pie_options.series[0].data = dataArry;
	var pieId = 'dt_pie';
	var pieCharts = echarts.init(document.getElementById(pieId));
	pieCharts.setOption(pie_options);
}

function openHoldPage(that){
	var ofcode = that.attr('ofcode');
	var tacode = that.attr('tacode');
	var assettype = that.attr('assettype');
	var assetcategory = that.attr('assetcategory');
	var transacc = that.attr('transacc');
	var poststr = that.attr('poststr');
	var contractno = that.attr('contractno');
	var ordersno = that.attr('ordersno');
	var prdtype='';
	var url='';
	var tdstr='';
	switch (assettype){
		case '0':
			prdtype='CWJJ';
			url='/asset/mfund/pages/fund_trade_details.html?ofcode=' + ofcode + '&tan=' + tacode+'&transacc='+transacc;
			tdstr='智选基金';
			break;
		case '1':
			prdtype='ZG';
			url='/asset/mfzg/pages/zg_positions.html?ofcode=' + ofcode + '&prdtype=ZG';
			tdstr='高端理财';
			break;
		case '2':
			prdtype='JLC8';
			url='/asset/mfincome/pages/gs_zf_positions.html?ofcode=' + ofcode + '&prdtype=JLC8&poststr=' + poststr;
			tdstr='定期理财';
			break;
		case '3':
			prdtype='FJ';
			url='/asset/mfincome/pages/gs_zf_positions.html?ofcode=' + ofcode + '&prdtype=FJ&poststr=' + poststr;
			tdstr='定期理财';
			break;
		case '4':
			prdtype='XJZL';
			url='/asset/xjzl/index.html';
			tdstr='现金理财';
			break;
		case '5':
			prdtype='SM';
			url = '/asset/mfund/pages/privatefund_trade_details.html?ofcode='+ofcode+'&tacode='+tacode;
			tdstr='高端理财';
			break;
		case '6':
			prdtype='OTC';
			url = '/asset/motc/pages/otc_contract_detail.html?ofcode=' + ofcode + '&contractno=' + contractno;
			tdstr='定期理财';
			break;
		case '7':
			prdtype='JTL';
			url = '/asset/jtl/pages/position.html?ofcode=' + ofcode + '&ordersno=' + ordersno;
			tdstr='定期理财';
			break;
		case '8':
			prdtype='JTL';
			url = '/asset/jtl/pages/position.html?ofcode=' + ofcode + '&ordersno=' + ordersno;
			tdstr='定期理财';
			break;
		case '9':
			prdtype='XXB';
			url = '/asset/xxb/pages/index.html';
			tdstr='现金理财';
			break;
		case '10':
			prdtype='XXB2';
			url = '/asset/goldsun_mlc/xxb2/pages/index.html';
			tdstr='现金理财';
			break;
		case '11':
			prdtype='JZMF';
			url = '/asset/goldsun_mlc/jzmf/pages/chicang.html?groupCode='+ofcode;
			tdstr='智选基金';
			break;
		case '12':
			prdtype='ZXZH';
			url = '/asset/goldsun_mlc/zxzh/pages/chicang.html?groupCode='+ofcode;
			tdstr='智选基金';
			break;

	}
	Com.actionLogin(function(){
		Com.newWebViewOpenPage('',{'pageUrl':Com.getOrigin()+url,'weburl':Com.getOrigin()+url});
	},'','','2');
	try
	{

		TalkingData.onEventWithLabel("资产总览", "基金理财-查看持仓-"+tdstr);
	}
	catch(err) {}
}
