var dataObj={
	fundList:[''],/*基金列表*/
	spcShowArry:[false,false,false],/*该数组里面每一个值对应每一个刻度尺输入金额超出3W时，特殊刻度div是否显示，true表示显示*/
	tipsShowArry:[false,false,false],/*该数组里面每一个值对应每一个刻度尺输入金额的错误显示，true表示显示*/
	tipsShowStr:['仅支持数字, 最多6位','',''],/*该数组里面每一个值对应每一个刻度尺输入金额的错误显示的内容*/
	enterAmt:[0,0,0],/*该数组里面每一个值对应每一个刻度尺的输入金额*/
	setSlider1:null,
	setSlider2:null,
	setSlider3:null,
	timer_render:null,
	compareVer:'4.1.0',
	asd:false,
	splitStr:'\n',//全屏弹框说明文字间的分隔符
	listdata:[],/*0:我要攒钱+1:攻守兼备+2:偏股型基金*/
	listdata1:[],/*0:我要攒钱*/
	listdata2:[],/*1:攻守兼备*/
	listdata3:[],/*2:偏股型基金*/
	threeYsDt:'',
	allAmt:[0,0,0,0,0],
	amt:[0,0,0,0,0],

};
const configData = {
	reqUrl:{
		'getYxdtListReq':'/gsfinancing/ofschedule/getMonthAipPrdList/1.0',//月薪定投产品列表
	}
};
var appvue = new Vue({
	el:'#app',
	data:dataObj,
	created : function(){
		var self = this;
	},
	methods:{
		godtHandle:function(obj){
			if(obj.smartflag=='1'){
				//当前基金支持智能定投，跳转到智能定投
				Com.actionLogin(function(){
					intellect_checkUserCanBuy(obj.ofcode,obj.tacode,null,'1');
				},{},null,'1');

			}else if(obj.timeropen=='1'){
				//当前基金支持普通定投，跳转普通定投
				Com.actionLogin(function(){
					fund_checkUserCanBuy(obj.ofcode,obj.tacode,null,'1');
				},{},null,'1');
			}else{
				Com.showNativeAlert('','基金不支持定投',['确定'],'')
			}

			if(obj.ofcode && obj.ofname){
				TalkingData && TalkingData.onEventWithLabel('理财-定投专区-月薪定投','立即定投按钮-'+obj.ofcode+'-'+obj.ofname);
			}
		},
		//金额输入框change事件
		inputFunc : function(ev,obj,oindex){
			var iptVal = ev.target.value;
			var cacauval = exports.cacuAmtFunc(obj,iptVal);/*手动输入金额触发该事件之后计算一下总投入和总盈亏*/
			var allAmt = (cacauval.allAmt*1+cacauval.amt*1).toFixed(2);
			var amt = cacauval.amt;
			dataObj.amt.splice(oindex, 1, amt);
			dataObj.allAmt.splice(oindex, 1, allAmt);
		},
		/*计算说明浮层*/
		showdtdes:function(ev,tdstr){
			Com.showScreenMask('计算说明','n为投资期数，NAVn为第n月期末市值，r为收益率。Ci为第i期投入金额'+dataObj.splitStr+dataObj.splitStr+'NAVn = C1*(1+r) ^n +C2*(1+r)^(n-1)+... +Cn(1+r) ^1'+dataObj.splitStr+dataObj.splitStr+'共计投入金额 C_sum = C1+C2+...+Cn'+dataObj.splitStr+'复合年均收益率IRR = r * 12'+dataObj.splitStr+'总盈亏=NAVn - C_sum'+dataObj.splitStr+'月薪定投按普通定投计算，C1=C2=Cn'+dataObj.splitStr+dataObj.splitStr+'模拟历史业绩不代表基金投资收益，且模拟数据未考虑手续费、通货膨胀等因素。投资者应认真阅读拟投资基金的法律文件，了解基金的风险收益特征，并充分了解基金定投和银行零存整取等储蓄方式的区别。基金定投是引导投资者进行长期投资、平均投资成本的一种简单易行的投资方式，但是基金定投并不能规避基金投资固有风险，不能保证投资者获得收益。国信证券为基金销售机构，对基金管理人的投资运作不承担任何责任。敬请注意投资风险。');
			ev.cancelBubble=true;

			if(typeof tdstr!='undefined'&&tdstr!=''){
				exports.tdstr(tdstr);
			}
		},
		tdstrhdle:function(tdstr){
			if(typeof tdstr!='undefined'&&tdstr!=''){
				exports.tdstr(tdstr);
			}
		},
		/*金额输入框离开焦点时触发*/
		enteramt:function(ev,oindex){
			/*
			数组的值改变用下面两种方法可以解决数组值更新而页面vue不渲染新 值的问题
			 Vue.set(vm.items, indexOfItem, newValue)
			 或
			 vm.items.splice(indexOfItem, 1, newValue)
			 */
			/*只能输入6位整数*/
			var reg = /^[0-9]{1,6}$/;

			/*获取输入的金额数*/
			var amt = ev.target.value;

			var objid = 'slider'+Number(oindex+1);
			var obj = dataObj[objid];
			var guidMove=0;//客户端需要移动的距离

			var _amt = amt%100;
			var fmt_amt=parseInt((amt/100))*100;
			var fmt_checkedDataValue=parseInt((obj.checkedDataValue/100))*100;

			if(!reg.test(Number(amt))){
				//不符合6位整数原则，显示出提示
				dataObj.tipsShowArry.splice(Number(oindex), 1, true);
				dataObj.tipsShowStr.splice(Number(oindex), 1, '仅支持数字, 最多6位');
			}else{
				//符合6位整数原则，不显示提示
				dataObj.tipsShowArry.splice(Number(oindex), 1, false);
				dataObj.tipsShowStr.splice(Number(oindex), 1, '');
				dataObj.enterAmt.splice(Number(oindex), 1, amt);
				if(amt*1>30000){
					//超出3W的金额显示特殊刻度尺(只有一个刻度且不能滑动)
					dataObj.spcShowArry.splice(Number(oindex), 1, true);
				}else{
					//3W以内的金额显示正常刻度尺并定位到该刻度
					dataObj.spcShowArry.splice(Number(oindex), 1, false);
					obj.durGuide = parseInt(Math.abs(fmt_checkedDataValue-fmt_amt)/obj.stepNum);/*当前指向的客户和1000差几个刻度*/
					//alert(obj.durGuide)
					obj.durNum = obj.durGuide*obj.stepWidth;/*每个刻度是10的宽度，得到总位移*/
					//alert(obj.durGuide)
					//alert(obj.durNum)
					if(amt*1>obj.checkedDataValue*1&&obj.durGuide*1>0){
						//输入的金额比当前选中的金额要大，则客户端需要往左滑动，所以应该是客户端当前移动的left值减去obj.durNum
						guidMove = obj.currentMoveX-obj.durNum-(_amt==0?0:3);/*如果输入的金额不是100的倍数，滑动到具体整数刻度时在增加点偏移量*/
						//guidMove = obj.currentMoveX-obj.durNum;
						//alert(obj.currentMoveX)
						/*当前定位到的left值存一下*/
						obj.currentMoveX = obj.currentMoveX-obj.durNum;
					}else{
						//输入的金额比当前选中的金额要小，则客户端需要往左滑动，所以应该是客户端当前移动的left值加obj.durNum
						guidMove = obj.currentMoveX+obj.durNum-(_amt==0?0:3);/*如果输入的金额不是100的倍数，滑动到具体整数刻度时在增加点偏移量*/
						//alert(obj.currentMoveX)
						//guidMove = obj.currentMoveX+obj.durNum;
						obj.currentMoveX = obj.currentMoveX+obj.durNum;
					}
					if(obj.durGuide*1>0){
						//如果输入的金额与上一次的值相差不足一个刻度则不滑动
						obj.getObj.style.left = guidMove+ 'px';
						obj.setSliderGuideDataValue(amt);//把红色指针当前指向的value改变一下
					}

					console.log(obj.durGuide+'|'+obj.currentMoveX)
				}
			}


		},
		closePanel:function(oindex){
			//dataObj.spcShowArry[oindex]=false;
			dataObj.spcShowArry.splice(Number(oindex), 1, false);
		},
		openPage : function(url,tdstr){
			Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+url,"weburl":Com.getOrigin()+url});
			if(typeof tdstr!='undefined' && tdstr!=''){
				exports.tdstr(tdstr);
			}
		}

		/*goGsPrdListPage : function(){
			Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mfinancial/pages/guosen_pro.html',"weburl":Com.getOrigin()+'/asset/mfinancial/pages/guosen_pro.html'});
		},
		goFundProPage : function(){
			Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mfinancial/pages/fund_pro.html',"weburl":Com.getOrigin()+'/asset/mfinancial/pages/fund_pro.html'});
		},
		showdqlcdes:function(){
			Com.showScreenMask('理财型基金筛选规则说明','1.国信代销的理财型基金产品'+REGULAR.splitStr+'2.产品处于可购买状态'+REGULAR.splitStr+'3.基金规模大于10亿'+REGULAR.splitStr+'4.产品七日年化收益率由高至低的1-3只基金'+REGULAR.splitStr+'5.优先展示起购额小于1000元的基金'+REGULAR.splitStr+REGULAR.splitStr+REGULAR.splitStr+'【免责声明】该数据仅供参考，不构成投资建议，投资者应自主做出投资决策并自行承担投资风险，国信证券不承担任何法律责任。国信证券力求但不保证数据内容的完全准确。如有疑问，请详询95536');
		}*/
	},
	filters:{
		cacuAmt : function(obj){
			return exports.cacuAmtFunc(obj,1000).amt;
		},
		cacuAllAmt : function(obj){
			var _amt = exports.cacuAmtFunc(obj,1000).amt;
			var _allAmt = exports.cacuAmtFunc(obj,1000).allAmt;
			return (_allAmt*1+_amt*1).toFixed(2);
		},
		/*pbuylowfmt : function(pbuylow){
			var num = Math.floor(pbuylow);
			var amtstr = '';
			if(num >= 1000 && num <10000){
				if(num%1000 == 0){
					amtstr = (num/1000)+'千';
				}else{
					amtstr = num;
				}
			}
			else if(num >=10000){
				if(num%10000 == 0){
					amtstr = (num/10000)+'万';
				}else{
					amtstr=num;
				}
			}else{
				amtstr = pbuylow;
			}
			return amtstr;
		},
		tofix2:function(str){
			if(isNaN(str*1)){
				return str;
			}
			if(typeof str=='undefined' || str==''){
				return'--';
			}
			return (str*1).toFixed(2);
		}*/
	}
});
var exports = {
	init:function(){

		var setStepWidth = document.body.offsetWidth/30;
		//console.log(document.body.offsetWidth,setStepWidth)
		exports.splitStr();
		dataObj.threeYsDt=exports.getThreeYearsDate();

		//加载数据
		exports.getFundDat(function(obj){
			dataObj.timer_render = setTimeout(function(){

				for(var i = 0;i<obj.length;i++){
					var objid = 'slider'+Number(i+1);
					var sliderid = 'sdx'+Number(i+1);
					var iptid = 'slider_ipt'+Number(i+1);

					/*dataObj.amt[Number(i+1)] = (exports.cacuAmtFunc(obj[i],1000)).amt;
					dataObj.allAmt[Number(i+1)] = (exports.cacuAmtFunc(obj[i],1000)).allAmt;*/
					var _amt = (exports.cacuAmtFunc(obj[i],1000)).amt;
					var _allAmt = (exports.cacuAmtFunc(obj[i],1000)).allAmt;
					dataObj.amt.splice(Number(i+1), 1, _amt);
					dataObj.allAmt.splice(Number(i+1), 1, (_allAmt*1+_amt*1).toFixed(2));

					dataObj[objid] = new Slider(
						{
							id: objid,
							maxNum : 30000,//传入最大数字
							minNum : 0,//传入最小刻度数字
							stepNum : 100,//每一个刻度代表多少数字
							//stepWidth : setStepWidth,//每一个刻度的宽
							stepWidth : 10,//每一个刻度的宽
							setSliderItemNum: 300,//初始化刻度尺刻度数量
							sliderItemStep : 5,//每隔多少隔显示长刻度
							sliderItemValueIsHidden : false,//短刻度下面的标度是否显示
							sliderItemLongValueIsHidden :  true,//长刻度下面的标度是否显示
							sliderItemValueTextAlign : 'center',//设置标度居中方式
							sliderGuide : true,//设置指针是否显示
							animatedClassName: 'my-slider-animated',//动画className,
							getAllSliderItemNum:'2',
							sliderid:sliderid,
							defaultvalue:1000,
							callBack: function(value){
								var that = this;
								var num = that.id.split('slider')[1];
								$('#slider_ipt'+num).val(value);
								var _amt = (exports.cacuAmtFunc(dataObj.fundList[Number(num-1)],value)).amt;
								var _allAmt = (exports.cacuAmtFunc(dataObj.fundList[Number(num-1)],value)).allAmt;
								dataObj.amt.splice(Number(num), 1, _amt);
								dataObj.allAmt.splice(Number(num), 1, (_allAmt*1+_amt*1).toFixed(2));
							}
						}
					);
				}
				console.log(dataObj.allAmt)
			},20)
		});
		/*右上角分享*/
		/*Com.rightTopBtn('1','',function(){
			var param  = {netAddr:'',financetype:'',token:'',ofcode:'',sharetype:'2','pagefrom':'2'};
			if(typeof shareJsonObj!='undefined'){
				shareJsonObj.initMethod(param);
			}
		});*/
		//右上角搜索
		Com.rightTopBtn('4', '1', function () {});

		/*右上角分享*/
		Com.rightTopBtn('8','',function(){
			var param  = {netAddr:'',financetype:'',token:'',ofcode:'',sharetype:'2','pagefrom':'2'};
			if(typeof shareJsonObj!='undefined'){
				shareJsonObj.initMethod(param);
			}
		});


		//设置标题
		Com.setWebviewTitle('',{"title":'月薪定投',"bgColor":""});
	},
	splitStr : function(){
		var clientType =Com.clientType();
		var splitStr='<br/>';
		if(clientType=='ios'){
			splitStr='\n';
		}
		dataObj.splitStr = splitStr;
	},
	cacuAmtFunc : function(obj,inputamt){
		/*与李芸沟通过这里都按照普通定投计算，1、总投入：普通定投：金额*buytimes，智能定投：金额*smartbuytimes；总盈亏=前端输入值*期末收益率-总投入*/
		return cacufunc(obj,inputamt,'1');
	},
	getThreeYearsDate : function(){
		var _date = new Date();
		var year = _date.getFullYear();
		var month = _date.getMonth()+1;
		var fmt = function(num){
			return Number(num) < 10 ? '0'+num : num;
		};
		var str = (month == 1 ? (year-4+'年12月'):(year-3+'年'+fmt(month-1)+'月'));
		return str;
	},
	getFundDat : function(cb){
		var param = {};
		Com.ajax({
			"url":Com.getOrigin()+configData.reqUrl.getYxdtListReq,
			"data":param,
			"type":"post",
			"dataType":"json",
			"success":function(d){
				if (d != null && d.result[0].code == '0') {
					dataObj.fundList = d.data;
					if(d.data.length>0){
						cb && cb(dataObj.fundList);
					}
				}else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
					return false;
				}else{
					Com.showNativeAlert('',d.result[0].code+':'+d.result[0].msg,['确定'],'');
				}
			},
			"isTradeLogin":false,
			"isNeedSign":true,
			"error":function(){
				Com.showNativeAlert('','网络不给力|getMonthAipPrdList',['确定'],'')
			}
		});
	},
	tdstr:function(data){
		if(!data) return;
		var tdArr = data.split('$');
		for(var i = 0, len = tdArr.length; i < len; i++){
			TalkingData && TalkingData.onEventWithLabel('理财', tdArr[i]);
		}
	}
};
exports.init();