$(document).ready(function(){
	Com.setWebviewTitle('',{"title":"赎回","bgColor":""});
	Com.nativeGobackListener('1',nativeGoback);
	
	loadRedemptionList();
	
	Com.gobackRefreshPage(true,loadRedemptionList);

	//点击赎回按钮
	$(document).on('click','.redeemBtn',function(){
		var $that = $(this);
		var tp = $that.parents('.prd_item').find('input[name=prdtype]').val();
		//financeflag=='1'短期理财型基金
		var financeflag = $that.parents('.prd_item').find('input[name=financeflag]').val();
		var ofcode = $that.parents('.prd_item').find('input[name=code]').val();
		var ourl=decodeURIComponent($that.attr('_url'));
		var tacode = $that.parents('.prd_item').find('input[name=tacode]').val();
		if(tp == 'JZMF'){
			var groupCode = $(this).parents('.prd_item').find('input[name=code]').val();
			Com.actionLogin(function(){
				queryIsUnSuerOrder(groupCode,ourl,$that);
			},'','','1');
		}
		else if(tp == 'ZXZH'){
			var groupCode = $(this).parents('.prd_item').find('input[name=code]').val();
			Com.actionLogin(function(){
				doRemdemption(ourl);
				queryUnsuerOrder_zxzh(groupCode,ourl,$that);
			},'','','1');
		}
		else if(tp == 'ZG'){
			//点击资管赎回之后先查一下是否可以当日全部赎回，如果当日可全部赎回则走正常赎回流程，如果否，则先跳转到明细份额界面去选择
			isAllredeemNow(ofcode,tacode,function(isallow){
				if(isallow=='0'){
					//有明细。跳转到明细界面去选择明细赎回
					ourl=Com.getOrigin()+'/asset/mfzg/pages/zg_redeem_list.html?ofcode='+ofcode+'&prdtype='+tp+'&tacode='+tacode;
					doRemdemption(ourl);
				}else{
					//今日可全部赎回，直接跳转到赎回界面
					Com.actionLogin(function(){
						doRemdemption(ourl);
					},'','','1');
				}
			});
		}
		else{
			if(financeflag=='1'){
				//短期理财型基金非交易时间不可赎回
				queryTradeStatusNoLogin('J',ofcode,'0','',function(pm){
					//preflag 0可预约  1不可预约 对于短期理财型基金来说0表示非交易时间  1表示交易时间
					if(pm.preflag != '0'){
						//交易时间
						Com.actionLogin(function(){
							doRemdemption(ourl);
						},'','','1');
					}else{
						//不可预约
						Com.showNativeAlert("",'短期理财型基金暂不支持非交易时间段预赎回，请在开市时间段进行赎回委托。',["确定"],'');
					}
				});
			}else{
				if(tp=='CWJJ'){
					//开放式基金赎回前先查下需不需要做业绩计提提示
					getJtBcInfo(ofcode,function(floatrateflag){
						if(typeof floatrateflag!='undefined' && floatrateflag=='1'){
							Com.showNativeAlert("",'本基金逐笔计提业绩报酬，由于管理人可能计提业绩报酬，投资者实际赎回份额净值可能低于每日披露的基金净值，赎回金额以实际到账金额为准',["确定"],function(){
								Com.actionLogin(function(){
									doRemdemption(ourl);
								},'','','1');
							});
						}else{
							Com.actionLogin(function(){
								doRemdemption(ourl);
							},'','','1');
						}
					});
				}else{
					Com.actionLogin(function(){
						doRemdemption(ourl);
					},'','','1');
				}
			}
		}
	});

	/*589定投子账户，展开子账户*/
	$(document).on('click','.zzhredeemBtn',function(){
		var prd_item = $(this).parents('.prd_item');
		var btnoffset = $(this).offset().top;
		if(prd_item.hasClass('opendtzzh')){
			prd_item.removeClass('opendtzzh');
		}else{
			prd_item.addClass('opendtzzh');
		}
		window.scrollTo(0, btnoffset);
	});
});

function nativeGoback(){
	Com.nativeGoback();
}

function loadRedemptionList(){
	$('#cwjj .prd_items').empty();
	$('#hqlc .prd_items').empty();
	$('#gxlc .prd_items').empty();
    $('#smjj .prd_items').empty();
	Com.ajax({
        "url":Com.getOrigin()+"/gsfinancing/myfinance/getkshholds/2.0",
        "data":{},
        "type":"post",
        "dataType":"json",
        "success":function(d){
            if(d.result[0].code == '0'){
            	var total_list=d.data;
            	var hqlc_list=[]; //现金理财(信鑫宝)
            	var gxlc_list=[]; //定期理财
            	var cwjj_list=[]; //场外基金
				var smjj_list=[]; //私募基金
            	
        		var append_str='';
        		var obj;
        		if(total_list.length>0){
        			for(var i=0;i<total_list.length;i++){
            			obj=total_list[i];

        				var redemption_obj=geneRedemptionObj(obj);

        				append_str='<div class="prd_item"><input type="hidden" name="code" value="'+obj.ofcode+'"/><input type="hidden" name="prdtype" value="'+redemption_obj.prdtype+'"/><input type="hidden" name="financeflag" value="'+obj.financeflag+'"/><input type="hidden" name="tacode" value="'+obj.tacode+'"/>'
									+'<input type="hidden" name="params" value="'+redemption_obj.params+'"/>'
									+'<dl><dt class="font14">'+obj.ofname+'</dt>';
						if(obj.oftype=='7'||obj.oftype=='8'){
							append_str+='<dd><div class="clearfix prd_info"><div class="qgje"><h2 class="font20">'+Com.formatNumber(obj.marketvalue)+'</h2><label>可委托金额</label></div>';
						}
						else if(obj.oftype=='6'){
							//OTC赎回
							append_str+='<dd><div class="clearfix prd_info"><div class="qgje"><h2 class="font20">'+Com.formatNumber(obj.cntravl)+'</h2><label>可赎回份额</label></div>';
						}
						else if(obj.oftype=='1'){
							/*585资管预约赎回需求，将原来的"可赎回份额"改成持仓可用份额，也就是用ofbal*/
							append_str+='<dd><div class="clearfix prd_info"><div class="qgje"><h2 class="font20">'+Com.formatNumber(obj.ofbal)+'</h2><label>持仓份额</label></div>';
						}
						else{
							append_str+='<dd><div class="clearfix prd_info"><div class="qgje"><h2 class="font20">'+Com.formatNumber(obj.ofavl)+'</h2><label>可赎回份额</label></div>';
						}
						/*append_str+='<div class="buy_now"><button class="buy font16" onclick="javascript:doRemdemption(\''+redemption_obj.url+'\')">'+redemption_obj.name+'</button></div></div></dd></dl></div>';*/
						append_str+='<div class="buy_now"><button _url='+encodeURIComponent(redemption_obj.url)+' class="buy font16 redeemBtn">'+redemption_obj.name+'</button></div></div></dd></dl></div>';
						
						if(obj.assetcategory=='OPENFUND'){
							//场外基金
            				cwjj_list.push(obj);
            				//$('#cwjj .prd_items').append(append_str);
            			}else if(obj.assetcategory=='CURRENCY'){
							//现金理财(信鑫宝、高鑫宝、金天利01、现金增利4类)
            				hqlc_list.push(obj);
            				$('#hqlc .prd_items').append(append_str);
            			}else if(obj.assetcategory=='PERIODIC'){
							//定期理财(债分、金理财8、金天利N天、OTC4类)
            				gxlc_list.push(obj);
            				$('#gxlc .prd_items').append(append_str);
            			}else if(obj.assetcategory=='HIGHEND'){
							//高端理财(私募+资管(除了债分金8以及现金增利))
                            smjj_list.push(obj);
                            $('#smjj .prd_items').append(append_str);
                        }
        			}
					/*589定投子账户增加了子账户功能，将智选基金用template渲染*/
					d.getOrigin = encodeURIComponent(Com.getOrigin());
					if(typeof d.data2!='undefined' &&d.data2.length>0){
						for(var m = 0;m<cwjj_list.length;m++){
							cwjj_list[m].dtzzh=[];
							for(var n = 0;n<d.data2.length;n++){
								if(d.data2[n].ofcode == cwjj_list[m].ofcode && cwjj_list[m].transacctype==1){
									cwjj_list[m].dtzzh.push(d.data2[n]);
								}
							}
						}
					}
					d.cwjj_list = cwjj_list;
					var oHtml1 = $(template('zxjjDemo', d));
					$('#cwjj .prd_items').html(oHtml1);
					/*589定投子账户 点击提示图片弹出提示，只能放到这里，不能用document绑定事件委托*/
					$('.redeemzzhtip').tap(function(ev){
						var _splitStr = splitStr();
						Com.showScreenMask('说明','新增定投计划时，如设置区分子账户，则通过该定投计划投入的基金份额将独立计算收益情况。'+_splitStr+_splitStr+'查询数据仅供参考，准确数据请以注册登记机构的登记记录为准。该数据不构成投资建议，投资者应自主做出投资决策并自行承担投资风险，国信证券不承担任何法律责任。国信证券力求但不保证数据内容的完全准确。如有疑问，请详询95536。');
						ev.stopPropagation();
					});
        		}else{
        			$('.redemption_list').html('<div class="nodata"><p>暂无可赎回的产品</p></div>');
        		}
        		
        		if(gxlc_list.length>0){
        			$('#gxlc').show();
        		}
        		if(hqlc_list.length>0){
        			$('#hqlc').show();
        		}
        		if(cwjj_list.length>0){
        			$('#cwjj').show();
        		}
                if(smjj_list.length>0){
                    $('#smjj').show();
                }
            }else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                return false;
            }else{
            	$('.redemption_list').html('<div class="nodata"><p>'+d.result[0].msg+"</p></div>");
        	}
        },
		"supportBioLogin":'2',
        "isTradeLogin":true,
        "error":function(){
        	Com.showNativeAlert("","网络不给力",["确定"],'');
        }
	});
}

function geneRedemptionObj(obj){
	var return_obj={};
	var return_url='';
	var name='赎回';
	var params='';
	var prdtype='';
	if(obj.oftype=='2'||obj.oftype=='3'){ //债分、金8
		if(obj.oftype=='2')prdtype='JLC8';
		if(obj.oftype=='3')prdtype='FJ';
		params = obj.poststr;
		if(obj.isend=='0'){  //未到期
			return_url = Com.getOrigin()+'/asset/mfincome/pages/gs_apt_redeem.html?ofcode='+obj.ofcode+'&prdtype=FJ&poststr='+obj.poststr;
			name='预约赎回';
		}else{
			return_url = Com.getOrigin()+'/asset/mfincome/pages/gs_redeem.html?ofcode='+obj.ofcode+'&prdtype=FJ&poststr='+obj.poststr;
			name='赎回';
		}
	}else if(obj.oftype=='1'){ //资管
		return_url = Com.getOrigin()+'/asset/mfzg/pages/zg_redeem.html?ofcode='+obj.ofcode+'&prdtype=ZG';
		/*585资管预约赎回将bookstatus判断的预约赎回去掉了*/
		/*if(typeof obj.bookstatus!='undefined' && obj.bookstatus=='1'){
			name='预约赎回';
		}else{
			name='赎回';
		}*/
		name='赎回';
		prdtype='ZG';
		params=obj.poststr;
	}else if(obj.oftype=='0'){ //开放市基金
		return_url = Com.getOrigin()+'/asset/mfund/pages/fund_redeem_new.html?ofcode='+obj.ofcode+'&tan='+obj.tacode+'&transacc='+obj.transacc;
		if(typeof obj.sharedetailnum!='undefined' && obj.sharedetailnum*1>1){
			return_url = Com.getOrigin()+'/asset/mfund/pages/fund_trade_details.html?ofcode='+obj.ofcode+'&tan='+obj.tacode+'&transacc='+obj.transacc+'&openredeemlist=1';
		}
		name='赎回';
		prdtype='CWJJ';
		params=obj.tacode+'@0';
	}else if(obj.oftype=='9'){  //信鑫宝
		prdtype='XXB';
		name='取出';
		return_url=Com.getOrigin()+'/asset/xxb/pages/takeout.html';
	}else if(obj.oftype=='10'){  //信鑫宝2
		prdtype='XXB2';
		name='取出';
		return_url=Com.getOrigin()+'/asset/goldsun_mlc/xxb2/pages/takeout.html';
	}else if(obj.oftype=='7'){  //金天利01
		prdtype='JTL';
		params=obj.ordersno;
		name='到期终止';
		return_url = Com.getOrigin()+'/asset/jtl/pages/confirm_termination.html?ofcode='+obj.ofcode+'&ordersno='+obj.ordersno+'&isEnd=1';
	}else if(obj.oftype=='8'){  //金天利N
		prdtype='JTL';
		params=obj.ordersno;
		if(obj.isend=='0'){  //未到期
			name='提前终止';
			return_url = Com.getOrigin()+'/asset/jtl/pages/confirm_termination.html?ofcode='+obj.ofcode+'&ordersno='+obj.ordersno+'&orderdate='+obj.orderdate+'&isEnd=0';
		}else{
			name='到期终止';
			return_url = Com.getOrigin()+'/asset/jtl/pages/confirm_termination.html?ofcode='+obj.ofcode+'&ordersno='+obj.ordersno+'&isEnd=1';
		}
		
	}else if(obj.oftype=='4'){  //现金增利
		prdtype='XJZL';
		name='取出';
		return_url = Com.getOrigin()+'/asset/xjzl/index.html'; 
	}
	else if(obj.oftype=='11'){
		prdtype='JZMF';
		name='赎回';
		return_url = Com.getOrigin()+'/asset/goldsun_mlc/jzmf/pages/redeem.html?groupCode='+obj.ofcode;
	}
	else if(obj.oftype=='12'){
		//智选组合
		prdtype='ZXZH';
		name='赎回';
		return_url = Com.getOrigin()+'/asset/goldsun_mlc/zxzh/pages/redeem.html?groupCode='+obj.ofcode;
	}
	else if(obj.oftype=='5'){ //私募产品
        //return_url = Com.getOrigin()+'/asset/goldsun_mlc/smjj/pages/smjj_redeem.html?ofcode='+obj.ofcode;
        return_url = Com.getOrigin()+'/asset/mfund/pages/fund_redeem.html?ofcode='+obj.ofcode+'&tan='+obj.tacode+'&type=SM';
        name='赎回';
        prdtype='SM';
		params=obj.tacode;
    }
	else if(obj.oftype=='6'){
		prdtype='OTC';
		params=obj.otccontractsno;
		name='赎回';
		return_url = Com.getOrigin()+'/asset/motc/pages/otc_redeem.html?ofcode='+obj.ofcode+'&pydtype=OTC'+'&contractno='+obj.otccontractsno;
	}
	return_obj['url']=return_url;
	return_obj['name']=name;
	return_obj['params']=params;
	return_obj['prdtype']=prdtype;
	return return_obj;
}

$(document).on('tap','.prd_item dt',function(e){
	var hastransacc = $(this).attr('transacctype');
	if(hastransacc=='1'){
		return;
	}
	var $item = $(this).parents('.prd_item');
	var that = $(this);
	var transacctype = $item.attr('transacctype');
	if(transacctype==1){
		$item =that.parents('.dtzzh_dl');
	}
	goHoldDetail($item);
});

$(document).on('tap','.prd_item .qgje',function(e){
	var hastransacc = $(this).attr('transacctype');
	if(hastransacc=='1'){
		return;
	}
	var $item = $(this).parents('.prd_item');
	var that = $(this);
	var transacctype = $item.attr('transacctype');
	if(transacctype==1){
		$item =that.parents('.dtzzh_dl');
	}
	goHoldDetail($item);
});


function doRemdemption(url){
	Com.newWebViewOpenPage('',{"pageUrl":url,"weburl":url});
}

function goHoldDetail($item){
	ofcode=$item.find('input[name="code"]').val();
	prdtype=$item.find('input[name="prdtype"]').val();
	params=$item.find('input[name="params"]').val();
	if(prdtype=='ZXZH'){
		//持仓详情
		Com.actionLogin(function(){
			Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/goldsun_mlc/zxzh/pages/chicang.html?groupCode='+ofcode});
		},'','','2');
	}else{
		//持仓详情
		Com.actionLogin(function(){
			Com.newWebViewOpenPage('',{"pageUrl":Com.getMfPrdHoldUrl(ofcode,prdtype,params),"weburl":Com.getMfPrdHoldUrl(ofcode,prdtype,params)});
		},'','','2');
	}


}

//基智魔方订单查询是否有待确认的订单
function queryIsUnSuerOrder(groupCode,url,$this){
	if($this.hasClass('forbid')){
		return;
	}
	$this.addClass('forbid');
	var param = {};
	param['groupCode'] = groupCode;
	var ajaxData = function(datajson){
		Com.ajax({
			"url":Com.getOrigin()+'/gsfinancing/jzmf/qryCustUnFinishTradeLog/1.0',
			"data":datajson,
			"type":"post",
			"dataType":"json",
			"success":function(d){
				$this.removeClass('forbid');
				if (d != null && d.result[0].code == 0) {
					if(d.trade_log!=null && d.trade_log.length==0){
						//没有未确认的订单
						Com.newWebViewOpenPage('',{'pageUrl':url,'weburl':url});
					}else{
						Com.showNativeAlert('','组合资产存在待确认金额，赎回可能影响组合资产比例，确定赎回？',['取消','确定'],function(p){
							if(p.clickedIndex == '1'){
								Com.newWebViewOpenPage('',{'pageUrl':url,'weburl':url});
							}
						})
					}
				}else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
					return false;
				}else{
					Com.showNativeAlert('',d.result[0].msg,['确定'],'');
				}
			},
			"supportBioLogin":'2',
			"isTradeLogin":true,
			"isNeedSign":true,
			"error":function(){
				$this.removeClass('forbid');
				Com.ajaxLoaded();
				Com.showNativeAlert('','网络不给力',['确定'],'')
			}
		});
	};
	ajaxData(param);
}


//查询客户智选组合有没有未确认的订单
function queryUnsuerOrder_zxzh(groupCode,url,$this){
	if($this.hasClass('forbid')){
		return;
	}
	$this.addClass('forbid');
	var param = {};
	param['groupcode'] = groupCode;
	var ajaxData = function(datajson){
		Com.ajax({
			"url":Com.getOrigin()+'/zebra/gsfinancing/fundgroup/chkUnFinishTradeLog/1.0',
			"data":datajson,
			"type":"post",
			"dataType":"json",
			"success":function(d){
				$this.removeClass('forbid');
				if (d != null && d.result[0].code == 0) {
					if(d.unfinishRs.length!=0 && d.unfinishRs[0].hasUnFinishTrade=='1'){
						Com.showNativeAlert('','组合资产存在待确认金额，赎回可能影响组合资产比例。确定赎回？',['取消','确定'],function(p){
							if(p.clickedIndex == '1'){
								Com.newWebViewOpenPage('',{'pageUrl':url,'weburl':url});
							}
						})
					}else{
						//没有未确认的订单
						Com.newWebViewOpenPage('',{'pageUrl':url,'weburl':url});
					}

				}else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
					$this.removeClass('forbid');
					return false;
				}else{
					Com.showNativeAlert('',d.result[0].code+':'+d.result[0].msg,['确定'],function(){
						$this.removeClass('forbid');
					});
				}
			},
			"isTradeLogin":true,
			"supportBioLogin":'2',
			"error":function(){
				$this.removeClass('forbid');
				Com.ajaxLoaded();
				Com.showNativeAlert('','网络不给力',['确定'],'')
			}
		});
	};
	ajaxData(param);
}



/**
 * 份额是否可今日全部赎回
 * @param ofcode
 * @param tacode
 * @param cb 回调
 */
function isAllredeemNow(ofcode,tacode,cb){
	var param={};
	param['ofcode'] = ofcode;
	param['prdtype'] =  tacode;
	Com.ajax({
		"url":Com.getOrigin()+'/gsfinancing/product/isSharesRedeemAllow/1.0',
		"data":param,
		"type":"post",
		"dataType":"json",
		"success":function(d){
			if (d != null && d.result[0].code == 0) {
				if(d.data.length>0){
					/*isallow==1 今日可全部赎回直接跳转到赎回界面*/
					cb && cb(d.data[0].isallow);
				}else{
					//如果该接口出现异常直接当做今日可全部赎回处理，即继续走正常赎回流程
					cb && cb('1');
				}
			}else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
				return false;
			}else{
				//如果该接口出现异常直接当做今日可全部赎回处理，即继续走正常赎回流程
				cb && cb('1');
				Com.nativeToast(d.result[0].code+':'+d.result[0].msg);
			}
		},
		"isTradeLogin":true,
		"error":function(){
			Com.ajaxLoaded();
			//如果该接口出现异常直接当做今日可全部赎回处理，即继续走正常赎回流程
			cb && cb('1');
			//Com.showNativeAlert('','网络不给力|isSharesRedeemAllow',['确定'],'')
		}
	});
}

/*查询是否需要显示业绩计提提示*/
function getJtBcInfo(ofcode,cb){
	var param = {};
	param['ofcode'] =  ofcode;
	var ajaxData = function(){
		Com.ajax({
			"url":Com.getOrigin()+'/gsfinancing/fundbuy/getFundSpecProps/1.0',
			"data":param,
			"type":"post",
			"dataType":"json",
			"success":function(d){
				if(d.result[0].code == '0'){
					if(typeof d.data!='undefined' && d.data.length>0){
						cb && cb(d.data[0].floatrateflag);
					}else{
						cb && cb('0');
					}
				}
				else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
					return false;
				}
				else{
					/*查询失败不能影响正常赎回*/
					cb && cb('0');
					//Com.showNativeAlert("",d.result[0].msg,["确定"],'');
				}
			},
			"isTradeLogin":false,
			"error":function(){
				/*查询失败不能影响正常赎回*/
				cb && cb('0');
				//Com.showNativeAlert("",'网络不给力|getFundSpecProps',["确定"],'');
			}
		});
	};
	ajaxData();
}


template.helper('tmlformatNumber', function (num) {
	return Com.formatNumber(num);
});


function splitStr(){
	var clientType =Com.clientType();
	var splitStr='<br/>';
	if(clientType=='ios'){
		splitStr='\n';
	}
	return splitStr;
}


//定投明细
template.helper('dtdetails', function (obj) {
	var kkzq = getKKpl(obj);
	var amt='';
	if(typeof obj.orderamt=='undefined'|| obj.orderamt==''){
		amt='--';
	}else{
		amt=obj.orderamt+'元';
	}
	var returnstr='';
	if(typeof obj.aiptype!='undefined'&&obj.aiptype=='1'){
		//智能定投
		returnstr = kkzq+'基准定投'+amt;
	}
	else if(typeof obj.aiptype!='undefined'&&obj.aiptype=='0'){
		//普通定投
		returnstr = kkzq+'定投'+amt;
	}else{
		returnstr='';
	}
	return returnstr;
});

function getKKpl(obj){
	var kkzq = '';
	if(typeof obj.actionmode!='undefined'&&obj.actionmode == 1){
		//每周
		if(typeof obj.sendday!='undefined'&&obj.sendday == 1){
			kkzq = '每周周一';
		}
		else if(typeof obj.sendday!='undefined'&&obj.sendday == 2){
			kkzq = '每周周二';
		}
		else if(typeof obj.sendday!='undefined'&&obj.sendday == 3){
			kkzq = '每周周三';
		}
		else if(typeof obj.sendday!='undefined'&&obj.sendday == 4){
			kkzq = '每周周四';
		}else{
			kkzq = '每周周五';
		}
	}
	else if(typeof obj.actionmode!='undefined'&&obj.actionmode == '2'){
		//每月
		kkzq = '每月'+obj.sendday+'日';
	}
	else if(typeof obj.actionmode!='undefined'&&obj.actionmode == '0'){
		//每日
		kkzq = '每日(交易日)';
	}
	return kkzq;
}
